Tryton - Issues

 

Issue8808

Title adding missing tax identifier type (do_cedula)
Priority feature Status in-progress
Superseder Nosy List ced, joseagrc, pokoli
Type feature request Components party
Assigned To joseagrc Keywords easy, review, review
Reviews 288501002
View: 288501002

Created on 2019-11-09.21:12:37 by joseagrc, last changed by ced.

Messages
msg53281 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-17.02:20:23
> for health insurance we use NSS an unique code for each person

I do not care about specific accuracy of my example. I'm talking about abstract and meaning.
Every person in Dominican Republic has a cedula but every person is not a personal business.
So it is a *strong refusal* of your proposal. I will only accept a solution that provide a proper design taking into account every usage. msg53122 is a proposal but you can provide another one.
msg53280 (view) Author: [hidden] (joseagrc) Date: 2019-11-17.02:14:01
But having the cedula number on a party does not imply this willing. For example, some use case may require to store cedula of parties but for other usage like health insurance.
That's why I said in msg53122 that we need another type which is to record explicit willing that the party is a "personal business" person.

for health insurance we use NSS an unique code for each person
msg53279 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-17.02:10:17
> Each registered persona física who wants to report their expenses for the reduction of the tax payment need at the time of purchase give his cedula to display in the invoice.

But having the cedula number on a party does not imply this willing. For example, some use case may require to store cedula of parties but for other usage like health insurance.
That's why I said in msg53122 that we need another type which is to record explicit willing that the party is a "personal business" person.


> > > Then really i understand that no is needed other identifier.
> > I do not understand this sentence.
>
> you told add 'do_cedula_tax_identifier' to python-stdnum

This still does not highlight me to understand the sentence. For me it is missing at least some subjects.
msg53278 (view) Author: [hidden] (joseagrc) Date: 2019-11-17.01:59:55
>What do you call "tax retention"?
for example when a persona física sale a service to a company. that company holdback 100% from ITBIS from total invoice

Service = $ 100
itbis = $ 18
total = $ 118

company will holdback $18 from itbis, legal base: law 11-92 Art. 25

> Do you mean that every individual has to give his cedula when ever he is buying something?

Each registered persona física who wants to report their expenses for the reduction of the tax payment need at the time of purchase give his cedula to display in the invoice.


> I do not understand this sentence.

you told add 'do_cedula_tax_identifier' to python-stdnum
msg53277 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-17.01:38:16
What do you call "tax retention"?

> but cedula ever is a tax identifier because every person that have relationship with a company need to report taxes retention

Do you mean that every individual has to give his cedula when ever he is buying something?

> Then really i understand that no is needed other identifier.

I do not understand this sentence.
msg53275 (view) Author: [hidden] (joseagrc) Date: 2019-11-17.01:05:33
Here we only use cedula and RNC but cedula ever is a tax identifier because every person that have relationship with a company need to report taxes retention and company need to report tax retention to cedula owner. Then really i understand that no is needed other identifier.
msg53133 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-11-11.09:38:29
Indeed in Spain it is also possible to use DNI (personal identifier) as tax identifier. But in this case we declare it as NIF so there is no need to add it to tax identifier. 

Does Dominican Repulic have a similar behaviour?
msg53122 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-10.15:01:02
I do not think we must change globally. Until now, Dominican Republic seems to be the only one who max its tax identifier with the national identifier.
So for me, the initial idea is to create a 'do_cedula_tax_identifier' type. Or another one would be to allow cedula number in do_rnc (maybe it can be done in python-stdnum).
msg53121 (view) Author: [hidden] (joseagrc) Date: 2019-11-10.14:40:32
For me, logically it is necessary to change the structure of the party module a bit:

examples:
1- define profile types, whether it is fiscal or not in the party core
2- define an additional field to specify the use of the identifier.

well, while we can think of it, I'm adding it through a custom module ....
msg53120 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-10.14:18:24
For me, it would be wrong to define do_cedula as tax identifier as-is because it will not distinct it for an identification case (ex: for GNU Health) and for tax identification.
So we need to find a way to distinct both usage.
msg53118 (view) Author: [hidden] (joseagrc) Date: 2019-11-10.13:26:14
1- But is this personal identification should appear on the invoice?
yes

2-How would you distinct from such person a purchase for personal usage or for their personal business if they are always identified per their personal identification. Usual personal business has also a tax identifier like RNC?
Here when a persona go to purchase, salesman ask if invoice ll be with fiscal credit, then salesman ask for cedula or RNC number, else  salesman will invoice with generic buyer for invoice type of consumer invoice to report to DGII. based on codigo tributario literal k art. 50

Based in Law 479-08 a person can to be persona fisica using his cedula like rnc and can to purchase with his cedula to report purchses like expenses to DGII  but can to have a business with only owner called eirl (empresa individual de responsabilidad limited) and this type if have a RNC.

Also when such personal business are doing bankruptcy, how does their bankrupt business is distinguished from another personal business they would start later? here a persona fisica and an EIRL are two legal figures differentes then persona fisica use cedula and EIRL use a RNC assigned for DGII. If a persona fisica is in bankruptcy then will report to DGII that like persona fisica is bankruptcy but can to start a business like EIRL or other society type based in Law 479-08.
msg53117 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-10.09:48:44
But is this personal identification should appear on the invoice?
How would you distinct from such person a purchase for personal usage or for their personal business if they are always identified per their personal identification. Usual personal business has also a tax identifier like RNC.

Also when such personal business are doing bankruptcy, how does their bankrupt business is distinguished from another personal business they would start later?
msg53116 (view) Author: [hidden] (joseagrc) Date: 2019-11-09.22:13:31
A person can have commercial activities and these have fiscal validity so that through their identity and electoral document they can file taxes and have commercial activities with legal persons (companies).

A person is called a "physical person."
A company is called a legal entity.

Individuals: They are liberal professionals or people with a trade, who carry out activities that generate obligations and are identified with their first and last name, such as a lawyer, engineer, publicist, among others.

This fiscal validity is specifically established in the following documents:

Law 11-92 art. 281
Law 253-12 art. 43

Legal base:
- Law No. 11-92 (1)
- Law No. 253-12 d / f 11/09/12 (2)
- Law No. 557-05 d / f 12/13/05;
- Standard 07-2009,
- Standard 08-2010,
- Standard 01-2011,
- Standard 07-2018;

1- https://dgii.gov.do/legislacion/leyesTributarios/Documents/Codigo%20Tributario%20y%20Leyes%20que%20lo%20modificar%20y%20complementan/11-92.pdf

2- https://dgii.gov.do/legislacion/leyesTributarios/Documents/Codigo%20Tributario%20y%20Leyes%20que%20lo%20modificar%20y%20complementan/253-12.pdf

aditional info: https://dgii.gov.do/contribuyenteRegistrados/personaFisica/Paginas/default.aspx
review288501002 updated at https://codereview.tryton.org/288501002/#ps270521003
msg53114 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-09.21:28:31
For me, it does not seem to be a tax identifier as it is a national identifier.
msg53113 (view) Author: [hidden] (joseagrc) Date: 2019-11-09.21:12:37
missing tax_identifier_types 'do_cedula'. when no present no display Dominican Republic National Identification Number in tree view
History
Date User Action Args
2019-11-17 02:20:24cedsetmessages: + msg53281
2019-11-17 02:14:02joseagrcsetmessages: + msg53280
2019-11-17 02:10:18cedsetmessages: + msg53279
2019-11-17 02:00:08joseagrcsetmessages: + msg53278
2019-11-17 01:38:17cedsetmessages: + msg53277
2019-11-17 01:05:35joseagrcsetmessages: + msg53275
2019-11-11 09:38:30pokolisetnosy: + pokoli
messages: + msg53133
2019-11-10 15:01:03cedsetmessages: + msg53122
2019-11-10 14:40:33joseagrcsetmessages: + msg53121
2019-11-10 14:18:24cedsetmessages: + msg53120

Showing 10 items. Show all history (warning: this could be VERY long)